diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/tx-duration-test.cc ns-3.44/src/wifi/test/tx-duration-test.cc
--- ns-3.43/src/wifi/test/tx-duration-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/tx-duration-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -27,10 +27,10 @@
 NS_LOG_COMPONENT_DEFINE("TxDurationTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Tx Duration Test
+ * @brief Tx Duration Test
  */
 class TxDurationTest : public TestCase
 {
@@ -167,7 +167,7 @@
             knownDuration +=
                 MicroSeconds(6); // 2.4 GHz band should be at the end of the bands to test
         }
-        Time calculatedDuration = phy->GetPayloadDuration(size, txVector, testedBand);
+        Time calculatedDuration = YansWifiPhy::GetPayloadDuration(size, txVector, testedBand);
         if (calculatedDuration != knownDuration)
         {
             std::cerr << "size=" << size << " band=" << testedBand << " mode=" << payloadMode
@@ -219,7 +219,7 @@
             knownDuration +=
                 MicroSeconds(6); // 2.4 GHz band should be at the end of the bands to test
         }
-        Time calculatedDuration = phy->CalculateTxDuration(size, txVector, testedBand);
+        Time calculatedDuration = YansWifiPhy::CalculateTxDuration(size, txVector, testedBand);
         Time calculatedDurationUsingList =
             CalculateTxDurationUsingList(std::list<uint32_t>{size},
                                          std::list<uint16_t>{SU_STA_ID},
@@ -253,7 +253,7 @@
         channelWidth < std::accumulate(
                            std::begin(userInfos),
                            std::end(userInfos),
-                           0,
+                           MHz_u{0},
                            [](const MHz_u prevBw, const HeMuUserInfo& info) {
                                return prevBw + HeRu::GetBandwidth(info.ru.GetRuType());
                            }),
@@ -293,13 +293,13 @@
             knownDuration +=
                 MicroSeconds(6); // 2.4 GHz band should be at the end of the bands to test
         }
-        Time calculatedDuration = NanoSeconds(0);
+        Time calculatedDuration;
         uint32_t longestSize = 0;
         auto iterStaId = staIds.begin();
         for (auto& size : sizes)
         {
             Time ppduDurationForSta =
-                phy->CalculateTxDuration(size, txVector, testedBand, *iterStaId);
+                YansWifiPhy::CalculateTxDuration(size, txVector, testedBand, *iterStaId);
             if (ppduDurationForSta > calculatedDuration)
             {
                 calculatedDuration = ppduDurationForSta;
@@ -357,25 +357,25 @@
     retval = retval &&
              CheckPayloadDuration(1023,
                                   DsssPhy::GetDsssRate11Mbps(),
-                                  22,
+                                  MHz_u{22},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_LONG,
                                   MicroSeconds(744)) &&
              CheckPayloadDuration(1024,
                                   DsssPhy::GetDsssRate11Mbps(),
-                                  22,
+                                  MHz_u{22},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_LONG,
                                   MicroSeconds(745)) &&
              CheckPayloadDuration(1025,
                                   DsssPhy::GetDsssRate11Mbps(),
-                                  22,
+                                  MHz_u{22},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_LONG,
                                   MicroSeconds(746)) &&
              CheckPayloadDuration(1026,
                                   DsssPhy::GetDsssRate11Mbps(),
-                                  22,
+                                  MHz_u{22},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_LONG,
                                   MicroSeconds(747));
@@ -389,193 +389,193 @@
     retval = retval &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(744 + 96)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(745 + 96)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(746 + 96)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(747 + 96)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(744 + 192)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(745 + 192)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(746 + 192)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(747 + 192)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(1488 + 96)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(1490 + 96)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(1491 + 96)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(1493 + 96)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(1488 + 192)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(1490 + 192)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(1491 + 192)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate5_5Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(1493 + 192)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(4092 + 96)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(4096 + 96)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(4100 + 96)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(4104 + 96)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(4092 + 192)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(4096 + 192)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(4100 + 192)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate2Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(4104 + 192)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(8184 + 192)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(8192 + 192)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(8200 + 192)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_SHORT,
                              MicroSeconds(8208 + 192)) &&
              CheckTxDuration(1023,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(8184 + 192)) &&
              CheckTxDuration(1024,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(8192 + 192)) &&
              CheckTxDuration(1025,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(8200 + 192)) &&
              CheckTxDuration(1026,
                              DsssPhy::GetDsssRate1Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(8208 + 192));
@@ -584,7 +584,7 @@
     // https://web.archive.org/web/20100711002639/http://mailman.isi.edu/pipermail/ns-developers/2009-July/006226.html
     retval = retval && CheckTxDuration(14,
                                        DsssPhy::GetDsssRate1Mbps(),
-                                       22,
+                                       MHz_u{22},
                                        NanoSeconds(800),
                                        WIFI_PREAMBLE_LONG,
                                        MicroSeconds(304));
@@ -593,19 +593,19 @@
     retval = retval &&
              CheckTxDuration(1536,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(1310)) &&
              CheckTxDuration(76,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(248)) &&
              CheckTxDuration(14,
                              DsssPhy::GetDsssRate11Mbps(),
-                             22,
+                             MHz_u{22},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(203));
@@ -617,19 +617,19 @@
     retval = retval &&
              CheckTxDuration(1536,
                              OfdmPhy::GetOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(248)) &&
              CheckTxDuration(76,
                              OfdmPhy::GetOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(32)) &&
              CheckTxDuration(14,
                              OfdmPhy::GetOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(24));
@@ -640,19 +640,19 @@
     retval = retval &&
              CheckTxDuration(1536,
                              ErpOfdmPhy::GetErpOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(254)) &&
              CheckTxDuration(76,
                              ErpOfdmPhy::GetErpOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(38)) &&
              CheckTxDuration(14,
                              ErpOfdmPhy::GetErpOfdmRate54Mbps(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_LONG,
                              MicroSeconds(30));
@@ -663,91 +663,91 @@
     retval = retval &&
              CheckTxDuration(1536,
                              HtPhy::GetHtMcs7(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(228)) &&
              CheckTxDuration(76,
                              HtPhy::GetHtMcs7(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(48)) &&
              CheckTxDuration(14,
                              HtPhy::GetHtMcs7(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(40)) &&
              CheckTxDuration(1536,
                              HtPhy::GetHtMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(1742400)) &&
              CheckTxDuration(76,
                              HtPhy::GetHtMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(126)) &&
              CheckTxDuration(14,
                              HtPhy::GetHtMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HtPhy::GetHtMcs6(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(226800)) &&
              CheckTxDuration(76,
                              HtPhy::GetHtMcs6(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(46800)) &&
              CheckTxDuration(14,
                              HtPhy::GetHtMcs6(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(39600)) &&
              CheckTxDuration(1536,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(128)) &&
              CheckTxDuration(76,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(44)) &&
              CheckTxDuration(14,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HT_MF,
                              MicroSeconds(40)) &&
              CheckTxDuration(1536,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(118800)) &&
              CheckTxDuration(76,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(43200)) &&
              CheckTxDuration(14,
                              HtPhy::GetHtMcs7(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(400),
                              WIFI_PREAMBLE_HT_MF,
                              NanoSeconds(39600));
